CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   Problems with visualization (bundled ParaView 3.8) in Ubuntu 10.04 (http://www.cfd-online.com/Forums/openfoam/78121-problems-visualization-bundled-paraview-3-8-ubuntu-10-04-a.html)

eiffleduarte July 13, 2010 12:33

Problems with visualization (bundled ParaView 3.8) in Ubuntu 10.04
 
Hey, folks!

I just installed OpenFOAM-1.7.0 in a Ubuntu 10.04 machine. I added OpenCFD's repository to my sources.list, using the instructions found in http://www.openfoam.com/download/ubuntu.php. Then I installed both openfoam170 and the paraviewopenfoam380 (and all its dependencies) using Synaptic.

After installing, I created the $FOAM_RUN folder, and tested the installation, running the cavity example ($FOAM_RUN/tutorials/incompressible/icoFoam/cavity). It ran fine. When I ran paraFoam, after paraView is initialized, I get a window with two equal error messages: "ERROR: In /home/opencfd/OpenFOAM/ThirdParty-1.7.0/ParaView-3.8.0/VTK/Rendering/vtkOpenGLExtensionManager.cxx, line 358
vtkOpenGLExtensionManager (0x3346d50): Extension GL_VERSION_1_5 could not be loaded."

Every visualization I try to do in ParaView gets me nothing besides new error messages saying the same thing. Does anyone know how to fix this?

The only thing I understand is that I do not have the /home/opencfd directory (it was not created by OpenFOAM-1.7.0's installation - should it have been created?).

Thanks in advance,

Marcus Vinicius

wyldckat July 13, 2010 17:59

Greetings Markus,

I'm going to answer in reverse:
Quote:

Originally Posted by eiffleduarte (Post 267089)
The only thing I understand is that I do not have the /home/opencfd directory (it was not created by OpenFOAM-1.7.0's installation - should it have been created?).

There is no need to create the folder "/home/opencfd". That is simply to help the user figuring out from where the error is coming from, i.e. what source code file did the problem originate from.

Quote:

Originally Posted by eiffleduarte (Post 267089)
After installing, I created the $FOAM_RUN folder, and tested the installation, running the cavity example ($FOAM_RUN/tutorials/incompressible/icoFoam/cavity). It ran fine. When I ran paraFoam, after paraView is initialized, I get a window with two equal error messages: "ERROR: In /home/opencfd/OpenFOAM/ThirdParty-1.7.0/ParaView-3.8.0/VTK/Rendering/vtkOpenGLExtensionManager.cxx, line 358
vtkOpenGLExtensionManager (0x3346d50): Extension GL_VERSION_1_5 could not be loaded."

As far as I can remember, that issue is related to an incompatibility with your existing (or non existing) OpenGL libraries that come with the drivers for your machine's graphics card. So, you can try reverting the drivers back to a previous version.

Now, I've just responded to someone who is also having problems with OpenCFD's ParaView 3.8.0 and it is quite an extensive response with various solutions, so if reverting the drivers didn't work or you didn't figure out how to do it, here is the post: http://www.cfd-online.com/Forums/ope...tml#post267127

Best regards,
Bruno


All times are GMT -4. The time now is 18:22.